package com.olopezagu.smartlist.utils.RestManagerUtils;

import android.content.Context;
import android.os.Handler;
import android.os.Message;
import android.util.Log;

import com.olopezagu.smartlist.R;
import com.olopezagu.smartlist.utils.Utils;

/**
 * Torna la creació de un handler ja predefinit per mostrar un missatge de error
 */
public class ErrorHandler extends Handler
{
    Context ctx;
    boolean async;

    public ErrorHandler(Context ctx) {
       this(ctx,true);
    }

    public ErrorHandler(Context ctx, boolean _async) {
        this.async = _async;
        this.ctx = ctx;
    }

    @Override public void  handleMessage(Message msg)
    {
        Log.w("Info - ",  msg.getData().getString("ERROR"));
        //Utils.missatgeContextual(ctx,);
        if(!async) Utils.tancaDialog();
    }
}