package com.olopezagu.smartlist.utils.RestManagerUtils;

import android.os.Handler;

import org.apache.http.NameValuePair;

import java.util.List;

/**
 * Propietats de la cúa de crides
 */
public class PropietatsCua
{
    public String servei;
    public List<NameValuePair> valorsPOST;
    public List<NameValuePair> valorsHeader;
    public Handler onFinalitza;
    public Handler onError;
    public int tipusCrida;

    public PropietatsCua(String servei, List<NameValuePair> valorsPOST,List<NameValuePair> valorsHeader, Handler onFinalitza, Handler onError, int tipusCrida) {
        this.servei = servei;
        this.valorsPOST = valorsPOST;
        this.valorsHeader = valorsHeader;
        this.onFinalitza = onFinalitza;
        this.onError=onError;
        this.tipusCrida=tipusCrida;
    }

    public static class TIPUSCRIDA
    {
        public static final int GET=0x0;
        public static final int POST=0x1;
        public static final int PUT=0x2;
        public static final int DELETE=0x4;

    }
}
