<?php
/**
 * Utilitats per les operacions del programa
 * 
 */

/**
 *  Envia una resposta a partir de una array
 * @param type $codi_resposta codi HTTP de resposta
 * @param type $resposta Resposta en forma de Array per enviar
 */
function enviaResposta($codi_resposta, $resposta) {
    $app = \Slim\Slim::getInstance();
    
    $app->status($codi_resposta);
    $app->contentType('application/json');
 
    echo json_encode($resposta);
}

if (!function_exists('getallheaders')) 
{ 
    function getallheaders() 
    { 
           $headers = ''; 
       foreach ($_SERVER as $name => $value) 
       { 
           if (substr($name, 0, 5) == 'HTTP_') 
           { 
               $headers[str_replace(' ', '-', ucwords(strtolower(str_replace('_', ' ', substr($name, 5)))))] = $value; 
           } 
       } 
       return $headers; 
    } 
} 

/**
 * Funció que genera una GUID
 * 
 * Aquesta funció està basada a la resposta de un usuari a la pàgina de documentació de PHP:
 * http://php.net/manual/en/function.com-create-guid.php#52354 
 * @param bool $separador Booleà per determinar si ha de imprimir el separador o no
 * @return string la GUID demandada
 */
function guid($separador){
    if (function_exists('com_create_guid')){
        return com_create_guid();
    }else{
        //mt_srand((double)microtime()*10000);//optional for php 4.2.0 and up.
        $charid = strtoupper(md5(uniqid(rand(), true)));
        $hyphen = ($separador==true)?chr(45):"";// "-"
       //$hyphen = chr(45);// "-"
        $uuid =  substr($charid, 0, 8).$hyphen
                .substr($charid, 8, 4).$hyphen
                .substr($charid,12, 4).$hyphen
                .substr($charid,16, 4).$hyphen
                .substr($charid,20,12);
               
        return $uuid;
    }
}