<?php
error_reporting(E_ALL);
 ini_set("display_errors", 1);
 
require "lib/Slim/Slim.php";
require 'inc/config.php';
require 'inc/utils.php';

require 'inc/gestioUsuari.php';
require 'inc/gestioProducte.php';
require 'inc/gestioLlista.php';
require 'inc/gestioLiniaLlista.php';
require 'inc/gestioAmics.php';
require 'inc/gestioEstadistiques.php';


\Slim\Slim::registerAutoloader();

// Creació de instància Slim. Imprescindible per tenir preparat el web service
$app = new \Slim\Slim();
 
$app->config('debug', false);  


// Si posem la direcció sense paràmetres, no ens dibuixa res a pantalla
$app->get("/", function () {
    echo "";
});
 
/*
 * A continuació registrem totes les possibles accions que es poden fer mitjançant ReST
 * 
 */

gestioUsuari::registraUsuari($app);
gestioUsuari::loginUsuari($app); 
gestioUsuari::actualitzaUsuari($app);

gestioProducte::producte($app);
gestioProducte::registraProducte($app);
gestioProducte::esborraProducte($app);

gestioLlista::llista($app);
gestioLlista::registraLlista($app);
gestioLlista::esborraLlista($app);

gestioLiniaLlista::liniaLlista($app);
gestioLiniaLlista::esborraLiniaLlista($app);
gestioLiniaLlista::registraLiniaLlista($app);

gestioAmics::registraAmic($app);
gestioAmics::esborraAmic($app);
gestioAmics::usuariAmic($app);

gestioEstadistiques::estadistiques($app);

// Un cop tot registrat, es carrega el servei SLIM
$app->run();

