package com.olopezagu.smartlist.utils;

import android.content.DialogInterface;


/**
 * Classe abstracta que sobreescriu OnClickListener per afegir paràmetres extra a la crida asíncrona
 */
public abstract class finestraConfirmacioOnClick implements DialogInterface.OnClickListener
{
    Object[] parametres;

    public finestraConfirmacioOnClick(Object[] _parametres)
    {
        this.parametres = _parametres;
    }

    @Override
    public void onClick(DialogInterface dialogInterface, int i)
    {
        click(dialogInterface, i, parametres);
    }

    /**
     * Event que es llença quan el objecte ha rebut el event click
     * @param dialogInterface
     * @param i
     * @param parametres
     */
    public abstract void click(DialogInterface dialogInterface, int i, Object[] parametres);
}
